package com.tencent.mm.plugin.appbrand.jsapi.bio.face;

import android.os.Parcel;
import android.os.Parcelable.Creator;
import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.mm.g.a.ht;
import com.tencent.mm.plugin.appbrand.ipc.MainProcessTask;
import com.tencent.mm.plugin.appbrand.jsapi.c;
import com.tencent.mm.plugin.appbrand.r.h;
import com.tencent.mm.sdk.b.a;
import com.tencent.mm.sdk.platformtools.ab;
import java.util.HashMap;

class JsApiCheckIsSupportFaceDetect$GetIsSupportFaceTask extends MainProcessTask {
    public static final Creator<JsApiCheckIsSupportFaceDetect$GetIsSupportFaceTask> CREATOR = new 1();
    private String aIm = "not returned";
    private int bOs = -1;
    private boolean cOQ = false;
    private int errCode = -1;
    private JsApiCheckIsSupportFaceDetect hCX;
    private int hCY = -1;
    private c hzz = null;

    public final void asQ() {
        AppMethodBeat.i(3194);
        super.asQ();
        ab.d("MicroMsg.GetIsSupportFaceTask", "hy: callback. isSupport: %b, errCode: %d, errMsg: %s, libVersion: %d", new Object[]{Boolean.valueOf(this.cOQ), Integer.valueOf(this.errCode), this.aIm, Integer.valueOf(this.hCY)});
        HashMap hashMap = new HashMap(3);
        hashMap.put("errCode", Integer.valueOf(this.errCode));
        hashMap.put("libVersionCode", Integer.valueOf(this.hCY));
        if (this.errCode == 0) {
            this.hzz.M(this.bOs, this.hCX.j("ok", hashMap));
        } else {
            this.hzz.M(this.bOs, this.hCX.j("fail " + this.aIm, hashMap));
        }
        h.at(this);
        AppMethodBeat.o(3194);
    }

    public final void asP() {
        AppMethodBeat.i(3195);
        ht htVar = new ht();
        a.xxA.m(htVar);
        this.cOQ = htVar.cCH.cCI;
        this.errCode = htVar.cCH.cCJ;
        this.aIm = htVar.cCH.cCK;
        this.hCY = htVar.cCH.cCL;
        ab.i("MicroMsg.GetIsSupportFaceTask", "hy: is support: %b, errCode: %d, errMsg: %s, ilbVersion: %d", new Object[]{Boolean.valueOf(this.cOQ), Integer.valueOf(this.errCode), this.aIm, Integer.valueOf(this.hCY)});
        aCb();
        AppMethodBeat.o(3195);
    }

    public int describeContents() {
        return 0;
    }

    public void writeToParcel(Parcel parcel, int i) {
        AppMethodBeat.i(3196);
        super.writeToParcel(parcel, i);
        parcel.writeByte(this.cOQ ? (byte) 1 : (byte) 0);
        parcel.writeInt(this.errCode);
        parcel.writeString(this.aIm);
        parcel.writeInt(this.hCY);
        AppMethodBeat.o(3196);
    }

    public JsApiCheckIsSupportFaceDetect$GetIsSupportFaceTask(c cVar, int i, JsApiCheckIsSupportFaceDetect jsApiCheckIsSupportFaceDetect) {
        this.hzz = cVar;
        this.bOs = i;
        this.hCX = jsApiCheckIsSupportFaceDetect;
    }

    protected JsApiCheckIsSupportFaceDetect$GetIsSupportFaceTask(Parcel parcel) {
        AppMethodBeat.i(3197);
        g(parcel);
        AppMethodBeat.o(3197);
    }

    public final void g(Parcel parcel) {
        AppMethodBeat.i(3198);
        super.g(parcel);
        this.cOQ = parcel.readByte() != (byte) 0;
        this.errCode = parcel.readInt();
        this.aIm = parcel.readString();
        this.hCY = parcel.readInt();
        AppMethodBeat.o(3198);
    }

    static {
        AppMethodBeat.i(3199);
        AppMethodBeat.o(3199);
    }
}
